#include <stdio.h>

struct person {                      /* Personenbeschreibung */
  char name[20];
  int alter;
  struct person *vater; /* Zeiger auf Struktur gleichen Typs */
} pf[2];                    /* Feld von 2 Personenstrukturen */

main()
{
   int i=0;
   struct person *p = pf; /* Initialisierung mit Adresse des Feldes pf */
                          /* siehe Abschnitt 2.7.                      */

   strcpy(p->name,"Maxi");           /* Name "Maxi" zuweisen */
   p->alter=18;
   p->vater = pf + 1;                              /* &pf[1] */ 
   p->vater->alter = 45;   /* Zugriff auf pf[1] ueber Zeiger */
   strcpy(p->vater->name,"Fritz");
   while(i++ <= 1) {                 /* elementweise Ausgabe */
       printf("%s ist %d Jahre\n",p->name, p->alter);
       p++;
   }
}
